# Generated from rubygems-update-3.5.23.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubygems-update

Name: rubygem-%{gem_name}
Version: 3.5.23
Release: 1%{?dist}
Summary: RubyGems is a package management framework for Ruby. This gem is downloaded and installed by `gem update --system`, so that the `gem` CLI can update itself
License: Ruby and MIT
URL: https://guides.rubygems.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0.0
BuildArch: noarch

%description
A package (also known as a library) contains a set of functionality
that can be invoked by a Ruby program, such as reading and parsing an XML
file. We call
these packages 'gems' and RubyGems is a tool to install, create, manage and
load these
packages in your Ruby environment. RubyGems is also a client for RubyGems.org,
a public
repository of Gems that allows you to publish a Gem that can be shared and
used by other
developers. See our guide on publishing a Gem at guides.rubygems.org.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/update_rubygems
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/MAINTAINERS.txt
%license %{gem_instdir}/MIT.txt
%{gem_instdir}/Manifest.txt
%{gem_instdir}/POLICIES.md
%{gem_instdir}/UPGRADING.md
%{gem_instdir}/bundler
%{gem_instdir}/exe
%{gem_instdir}/hide_lib_for_update
%{gem_libdir}
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/rubygems-update.gemspec

%changelog
* Tue Nov 05 2024 mockbuilder - 3.5.23-1
- Initial package
